
import { zyDetail } from "./api.js";
import DictTag from '@/components/DictTag';
export default {
  components: {
    DictTag
  },
  props: {
    data: {}
  },
  data () {
    return {
      isLoad: false,
      resourceDetail: {},
      statusOptions: []
    };
  },
  computed: {
  },
  created () {
    this.isLoad = false
    this.getDicts("sys_normal_disable").then(response => {
      this.statusOptions = response.data;
    });
    zyDetail(this.data).then(res => {
      this.resourceDetail = res.data;
      this.isLoad = true
    })
  },
  mounted () {
  },
  methods: {
    openImage (url) {
      this.$emit('openImage',url)
      // this.dialogImageUrl = url;
      // this.dialogVisible = true;
    },
    close () {
      this.$emit('close')
    }
  }
};
